Bug 170316 - memory leak in php using pg_insert
memory leak in php using pg_insert
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: php (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-10 13:54 EDT by Sean
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:53:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sean 2005-10-10 13:54:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b5) Gecko/20051008 Fedora/1.5-0.5.0.beta2 Firefox/1.4.1

Description of problem:
While using a pg_insert in a while loop, noticed what appears to be a memory leak occuring in the top monitor. Was able to confirm it exists in php-4.3.2-19 and 4.3.2-25. Does not occur in a fresh download of php 4.4.0 from php.net or in php 5.0.5 in fedora dev. 
A doable workaround is using a regular sql statement in conjunction with pg_query.

Version-Release number of selected component (if applicable):
php-4.3.2-25

How reproducible:
Always

Steps to Reproduce:
<?
$dataArray=array('x'=>'abc','y'=>'def');
while(TRUE) {
pg_insert($dbconn,$dataArray);
}
  

Actual Results:  monitoring php usage in top showed memory usage going up slowly and steadily. eventually leads to slowdown of entire system do to excessive swapping.

Expected Results:  memory usage remain at a steady level.

Additional info:

Was not able to find a related bug reference in bugs.php.net
Comment 1 RHEL Product and Program Management 2007-10-19 14:53:20 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.